package de.unibremen.ggj2014;

import com.badlogic.gdx.math.Vector2;
import com.badlogic.gdx.physics.box2d.Filter;

public class Particle extends Entity {
    final static String DEFAULT_TEXTURE = "data/GoreParticle.png";
    private final float size;
    private Vector2 v;
    
    public Particle(float x, float y, Vector2 v) {
        this(x, y, 0.1f, v);
    }
    
    public Particle(float x, float y, float size, Vector2 v) {
        this(DEFAULT_TEXTURE, x, y, size, v);
    }

	public Particle(String textureName, float x, float y, float size, Vector2 v) {
		super(textureName, new Physics(x, y, size, true, 0.6f));
		this.size = size;
		this.v = v;
	}
	
	@Override
	public void init() {
	    super.init();
	    getBody().setLinearVelocity(v);
	}
	
	public float getSize() {
	    return size;
	}
	
	private static Filter filter;
	@Override
	public Filter getFilter() {
		if(filter == null){
	    	filter = new Filter();
	    	filter.categoryBits = Physics.PARTICLE; // I am a
	    	filter.maskBits = Physics.GROUND | Physics.HAZARD | Physics.PARTICLE; // I can collide with
	    }
		return filter;
	}
}
