package de.unibremen.ggj2014;

import java.util.LinkedList;

import com.badlogic.gdx.Gdx;

public class ScoreScreen {
	private LinkedList<UIElement> elements;
	
	ScreenText title;
	ScreenButton clock;
	ScreenText clockText;
	ScreenButton deaths;
	ScreenText deathsText;
	ScreenText continueText;
	
	
	public ScoreScreen() {
		title = new ScreenText("Finished Level ", 0, 0);
		clock = new ScreenButton("data/stopwatch_single.png", 0, 0);
		clockText = new ScreenText("11111 seconds", 0, 0);
		deaths = new ScreenButton("data/Player.png", 0, 0);
		deathsText = new ScreenText("11111", 0, 0);
		continueText = new ScreenText("Press any key to continue.", 0, 0);
		layout();
		hide();
	}
	
	public void setLevelName(String name){
		title.setText("Finished Level "+name);
		layout();
	}
	
	public void setDeaths(int count){
		deathsText.setText(String.format("%d", count));
	}
	
	public void setClock(float seconds){
		clockText.setText(String.format("%f seconds", seconds));
	}
	
	public void layout(){
		title.setX((Gdx.graphics.getWidth() - title.getWidth())/2);
		title.setY(-50);
		clock.setX(title.getX());
		clock.setY(-180);
		clockText.setX(clock.getX() + clock.getWidth() + 20);
		clockText.setY(-180);
		deaths.setX(title.getX());
		deaths.setY(-250);
		deathsText.setX(deaths.getX() + deaths.getWidth() + 20);
		deathsText.setY(-250);
		continueText.setX(title.getX());
		continueText.setY(-350);
	}
	
	public void show(){
		title.enable();
		clock.enable();
		clockText.enable();
		deaths.enable();
		deathsText.enable();
		continueText.enable();
	}
	
	public void hide(){
		title.disable();
		clock.disable();
		clockText.disable();
		deaths.disable();
		deathsText.disable();
		continueText.disable();
	}
	
}
