package de.unibremen.ggj2014;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.graphics.g2d.BitmapFont.TextBounds;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;

public class ScreenText extends UIElement {
	private String text;
	private static BitmapFont font;
	
	public ScreenText(String text, int x, int y) {
		super(x, y, 0, 0);
		if(font == null){
			font = new BitmapFont(Gdx.files.internal("fonts/font.fnt"), Gdx.files.internal("fonts/font.png"), false);
			font.setScale(1f);
			font.setColor(1f, 1f, 1f, 1f);
		}
		this.text = text;
		TextBounds bounds = font.getBounds(text);
		setWidth((int) bounds.width);
		setHeight((int) bounds.height);
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
		TextBounds bounds = font.getBounds(text);
		setWidth((int) bounds.width);
		setHeight((int) bounds.height);
	}

	public static BitmapFont getFont() {
		return font;
	}

	@Override
	public void drawItem(SpriteBatch batch, int x, int y) {
		super.drawItem(batch, x, y);
		font.draw(batch, text, x, y+font.getLineHeight());
	}
}
