package de.unibremen.ggj2014;

import de.unibremen.ggj2014.CollideListener.CollisionSurface;

public class Tile extends Entity  {
    
    private final boolean[] bloody = new boolean[4];
    private final Animation bloodAnim;

	public Tile(String textureName, float x, float y, float width, float height) {
        super((Animation) null, new Physics(x, y, width, height, false, 0));
        this.bloodAnim = new Animation(textureName, (int)(width * Entity.TILE_SIZE_IN_PX));
	}
	
	public Tile(Animation animation, float x, float y, float width, float height) {
	    super((Animation) null, new Physics(x, y, width, height, false, 0));
	    this.bloodAnim = animation;
	}
	
	public Tile(Animation animation, float x, float y, float r) {
		super((Animation) null, new Physics(x, y, r, false, 0f));
		this.bloodAnim = animation;
	}

    public Tile (String textureName) {
        super((Animation) null, new Physics(0, 0, 1, 1, false, 0));
        this.bloodAnim = new Animation(textureName, TILE_SIZE_IN_PX);
    }
	
	public void addBlood(CollisionSurface s) {
	    
	    // Does nothing, needs to be overriden!
	}
	
	public boolean isBloody(CollisionSurface s) {
	    return bloody[s.ordinal()];
	}
	
	public void setBloody(CollisionSurface s) {
	    this.bloody[s.ordinal()] = true;
	}
}
