package de.unibremen.ggj2014;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

public abstract class Updateable {
	
	List<Behaviour> behaviours = new ArrayList<Behaviour>();
	
	public void init() {
	    
	}
	
	/**
	 * Updates this.
	 * @param deltaTime time in SECONDS
	 */
	public void update(float deltaTime){
		runBehaviours(deltaTime);
	}
	
	public void addBehaviour(Behaviour b) {
		behaviours.add(b);
	}
	
	private void runBehaviours(float deltaTime) {
		Iterator<Behaviour> iterator = behaviours.iterator();
		while (iterator.hasNext()) {
			iterator.next().run(this, deltaTime);
		}
	}
		
}
