package de.unibremen.ggj2014;

import sun.security.action.GetBooleanAction;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input;
import com.badlogic.gdx.math.Vector2;

public class UserInputBehaviour extends Behaviour {
	Vector2 left = new Vector2(-10,0);
	Vector2 right = new Vector2(10,0);
	Vector2 jumpImpulse = new Vector2(0, 3.2f);
	float maxSpeed = 6;
	Player player;
	float jumpDelay = 0f;
	
	public UserInputBehaviour(Player player) {
		this.player = player;
	}
	
	@Override
	public void run(Updateable u, float deltaTime) {
		if(player.isDead())
			return;
		jumpDelay -= deltaTime;
		if(jumpDelay < 0)
			jumpDelay = 0f;
		if (Gdx.input.isKeyPressed(Input.Keys.LEFT) || 
				Gdx.input.isKeyPressed(Input.Keys.A)) {
			if(player.rightBlocked()) player.setBlockedDirection('0');
			if(!player.leftBlocked()){
				player.getBody().applyForceToCenter(left.cpy().scl((player.isTouchingGround() ? 1f : 0.1f) * ( maxSpeed + player.getBody().getLinearVelocity().x)), true);
//				player.setAnimation(player.runLeft);
				player.isLookingRight = false;
			}
		} if (Gdx.input.isKeyPressed(Input.Keys.RIGHT) || 
				Gdx.input.isKeyPressed(Input.Keys.D)) {
			if(player.leftBlocked()) player.setBlockedDirection('0');
			if(!player.rightBlocked()){
				player.getBody().applyForceToCenter(right.cpy().scl((player.isTouchingGround() ? 1f : 0.1f) * ( maxSpeed - player.getBody().getLinearVelocity().x)), true);
//				player.setAnimation(player.runRight);
				player.isLookingRight = true;
			}
		} if (Gdx.input.isKeyPressed(Input.Keys.UP) || 
				Gdx.input.isKeyPressed(Input.Keys.W) ||
				Gdx.input.isKeyPressed(Input.Keys.SPACE)) {
			if(player.isTouchingGround() && jumpDelay == 0f){
				player.getBody().applyLinearImpulse(jumpImpulse, player.getBody().getWorldCenter(), true);
				player.setTouchingGround(false);
				jumpDelay = 0.1f;
				GGJ2014Game.singleton.soundManager.jump.play();
			}
		}
	}

}
