package de.unibremen.ggj2014;

import com.badlogic.gdx.physics.box2d.Filter;

import de.unibremen.ggj2014.CollideListener.CollisionSurface;

public class Wall extends Tile {

	public Wall(float x, float y) {
		super("data/FullWhite.png", x, y, 1, 1);
		this.addAnimation(new Animation("data/FullWhite.png", TILE_SIZE_IN_PX));
	}
	
	private static Filter filter;
	@Override
	public Filter getFilter() {
		if(filter == null){
	    	filter = new Filter();
	    	filter.categoryBits = Physics.GROUND; // I am a
	    	filter.maskBits = Physics.PLAYER | Physics.PARTICLE; // I can collide with
	    }
		return filter;
    }
    
	@Override public void addBlood(CollisionSurface s) {
	    if(!isBloody(s)) {
		setBloody(s);
		if(s.equals(CollisionSurface.NORTH)) {
			int anim = GGJ2014Game.singleton.rnd.nextInt(3);
			Animation a;
			if (anim == 0)
				a = new Animation("data/Blood_Animation_Top.png", TILE_SIZE_IN_PX);
			else if (anim == 1)
				a = new Animation("data/Blood_Animation_Top_b.png", TILE_SIZE_IN_PX);
			else 
				a = new Animation("data/Blood_Animation_Top_c.png", TILE_SIZE_IN_PX);
			a.disableLoop();
		    this.addAnimation(a);
		} else if(s.equals(CollisionSurface.SOUTH)) {
			Animation a;
			int anim = GGJ2014Game.singleton.rnd.nextInt(2);
			if (anim == 0)
				a = new Animation("data/Blood_Animation_Bottom_a.png", TILE_SIZE_IN_PX);
			else
				a = new Animation("data/Blood_Animation_Bottom_b.png", TILE_SIZE_IN_PX);
			a.disableLoop();
		    this.addAnimation(a);
		} else if(s.equals(CollisionSurface.EAST)) {
			Animation a = new Animation("data/Blood_Animation_Right.png", TILE_SIZE_IN_PX);
			a.disableLoop();
		    this.addAnimation(a);
		} else if(s.equals(CollisionSurface.WEST)) {
			Animation a = new Animation("data/Blood_Animation_Left.png", TILE_SIZE_IN_PX);
			a.disableLoop();
		    this.addAnimation(a);
		}
		
	    }
	}

}
